# class Puppet::Util::Instrumentation::IndirectionProbe

We need to use a class other than Probe for the indirector because the Indirection class might declare some probes, and this would be a huge unbreakable dependency cycle.

### Attributes

probe_name[R]

### Public Class Methods

from_pson(data) click to toggle source

    # File lib/puppet/util/instrumentation/indirection_probe.rb, line 26
    def self.from_pson(data)
      self.new(data["name"])
    end

new(probe_name) click to toggle source

    # File lib/puppet/util/instrumentation/indirection_probe.rb, line 14
    def initialize(probe_name)
      @probe_name = probe_name
    end

### Public Instance Methods

to_pson(*args) click to toggle source

    # File lib/puppet/util/instrumentation/indirection_probe.rb, line 18
    def to_pson(*args)
      result = {
        :document_type => "Puppet::Util::Instrumentation::IndirectionProbe",
        :data => { :name => probe_name }
      }
      result.to_pson(*args)
    end